import socket

esp32_ip = "172.20.10.12"  # Replace with the ESP32 IP address
esp32_port = 80            # Port the ESP32 server is running on

# Create a socket and connect to the ESP32
sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
sock.connect((esp32_ip, esp32_port))
print("Connected to ESP32")

# Open a file to save data
with open("accelerometer_data_wifi.txt", "w") as file:
    try:
        while True:
            # Receive data from ESP32
            data = sock.recv(1024).decode("utf-8")
            if not data:
                break
            print(data, end="")
            file.write(data)
    except KeyboardInterrupt:
        print("\nStopped by user.")
    finally:
        sock.close()
        print("Connection closed.")
