import serial
import time

# Update COM port and baud rate
arduino_port = "/dev/tty.usbmodem101"  # Replace with the correct COM port for your Arduino
baud_rate = 115200

# Open serial port
ser = serial.Serial(arduino_port, baud_rate, timeout=1)
time.sleep(2)  # Allow time for connection

print("Starting data capture...")
try:
    with open("arduino_data.txt", "w") as file:
        while True:
            if ser.in_waiting > 0:
                data = ser.readline().decode('utf-8').strip()
                print(f"Received: {data}")
                file.write(data + "\n")
except KeyboardInterrupt:
    print("Data capture stopped.")
finally:
    ser.close()
